<?php

declare(strict_types=1);

namespace Myvetshop\Module\Clinique\Serializer;

use Myvetshop\Module\Clinique\Generated\Jane\Reporting\Model\ProductManufacturersGetResponse200Item;
use Myvetshop\Module\Clinique\Generated\Jane\Reporting\Normalizer\ProductManufacturersGetResponse200ItemNormalizer;

/**
 * @extends AbstractReportingSerializer<ProductManufacturersGetResponse200Item>
 */
class ProductManufacturerReportingSerializer extends AbstractReportingSerializer
{
    public static function getNormalizers(): array
    {
        return [new ProductManufacturersGetResponse200ItemNormalizer()];
    }

    public static function getModelClass(): string
    {
        return ProductManufacturersGetResponse200Item::class;
    }
}
